#pragma once

#include <stdio.h>
#include <cstdint>
#include <vector>

#include "utility/bitmap.hpp"
#include "utility/buffer.hpp"


void waveform_generate(
	const Buffer &input_buffer,
	std::vector<size_t>& output,
	size_t width,
	size_t height
);


void waveform_draw_bitmap(
	const std::vector<size_t>& waveform,
	Bitmap& bitmap
);